goocanvasmm: Goocanvas::Image Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::Image Class Reference
Inheritance diagram for Goocanvas::Image:
[legend]

List of all members.

## Public Member Functions
virtual | ~Image ()
GooCanvasImage* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasImage* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasImage* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Cairo::RefPtr < Cairo::Pattern > > | property_pattern ()
| The cairo pattern to paint.
Glib::PropertyProxy_ReadOnly < Cairo::RefPtr < Cairo::Pattern > > | property_pattern () const
| The cairo pattern to paint.
Glib::PropertyProxy< bool > | property_scale_to_fit ()
| If the image is scaled to fit the width and height settings.
Glib::PropertyProxy_ReadOnly < bool > | property_scale_to_fit () const
| If the image is scaled to fit the width and height settings.
Glib::PropertyProxy_WriteOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf ()
| The GdkPixbuf to display.
## Static Public Member Functions
static Glib::RefPtr< Image > | create (double x=0.0, double y=0.0)
static Glib::RefPtr< Image > | create (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double x=0.0, double y=0.0)
## Protected Member Functions
| Image (double x=0.0, double y=0.0)
| Image (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double x=0.0, double y=0.0)
| Image ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Image > | wrap (GooCanvasImage* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::Image::~Image | ( |  | ) | `[virtual]`

Goocanvas::Image::Image | ( | double | x = `0.0`,
|  | double | y = `0.0`
| ) |  | `[explicit, protected]`

Goocanvas::Image::Image | ( | const Glib::RefPtr< Gdk::Pixbuf > & | pixbuf,
|  | double | x = `0.0`,
|  | double | y = `0.0`
| ) |  | `[explicit, protected]`

Goocanvas::Image::Image | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Image> Goocanvas::Image::create | ( | double | x = `0.0`,
|  | double | y = `0.0`
| ) |  | `[static]`

static Glib::RefPtr<Image> Goocanvas::Image::create | ( | const Glib::RefPtr< Gdk::Pixbuf > & | pixbuf,
|  | double | x = `0.0`,
|  | double | y = `0.0`
| ) |  | `[static]`

const GooCanvasImage* Goocanvas::Image::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasImage* Goocanvas::Image::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasImage* Goocanvas::Image::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemSimple.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::Image::property_pattern | ( |  | ) |

The cairo pattern to paint.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::Image::property_pattern | ( |  | ) | const

The cairo pattern to paint.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::Image::property_pixbuf | ( |  | ) |

The GdkPixbuf to display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::Image::property_scale_to_fit | ( |  | ) | const

If the image is scaled to fit the width and height settings.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::Image::property_scale_to_fit | ( |  | ) |

If the image is scaled to fit the width and height settings.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Image > wrap | ( | GooCanvasImage * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/image.h